﻿<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>QueryTools</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE10" />
    <meta name="author" content="ThinkGeo" />
    <meta name="apple-mobile-web-app-title" content="QueryTools" />
    <link href="desktop.png" rel="apple-touch-icon">
    <link href="favicon.ico" rel="shortcut icon" type="Images/x-icon" />
    <link href="Content/leaflet.css" rel="stylesheet" />
    <link href="Content/site.css" rel="stylesheet" />
</head>
<body>
    <div id="map"></div>
    <div id="leftPanel">
        <div id="leftPanelHeader">
            <span>Query Tools</span>
        </div>
        <div id="leftPanelContent">
            <ul id="leftPanelOptions">
                <li>
                    <div id="SpatialQuery" title="Spatial Query" class="selected" hastargetlayer="true">
                        <span>Spatial Query</span>
                    </div>
                </li>
                <li>
                    <div id="QueryFeaturesWithinDistance" title="Query features within distance" class="unselected" hastargetlayer="true">
                        <span>Query Features By Distance </span>
                    </div>
                </li>
                <li>
                    <div id="QueryAllFeatures" title="Query all features' columns In a feature layer" class="unselected" description="This sample retrieves all the features from the feature layer.">
                        <span>Query All Feature Data </span>
                    </div>
                </li>
                <li>
                    <div id="QueryColumnData" title="Query column data in FeatureLayer" class="unselected" hastargetlayer="true">
                        <span>Query Feature By Click </span>
                    </div>
                </li>
                <li>
                    <div id="SQLQuery" title="SQL Query a Feature layer" class="unselected">
                        <span>SQL Query</span>
                    </div>
                </li>
            </ul>
        </div>
    </div>
    <div id="description"></div>
    <div id="queryDescription">
        <div id="descriptionExpandOrCollapseButton" class="expand"></div>
        <div id="descriptionDetail">
            <div id="SpatialQueryDescription" class="selectedDescription">
                Query the feature with difference spatial Query Type.
                <br />
                <input id="Within" type="radio" name="SpatialQueryGroup" checked="checked" />
                Within
                <br />
                <input id="Contains" type="radio" name="SpatialQueryGroup" />
                Contains
                <br />
                <input id="Disjoint" type="radio" name="SpatialQueryGroup" />
                Disjoint
                <br />
                <input id="Intersects" type="radio" name="SpatialQueryGroup" />
                Intersects
                <br />
                <input id="Overlaps" type="radio" name="SpatialQueryGroup" />
                Overlaps
                <br />
                <input id="Touches" type="radio" name="SpatialQueryGroup" />
                Touches
                <br />
            </div>
            <div id="QueryFeaturesWithinDistanceDescription" class="unselectedDescription">
                <span>Please click on the map to see the features within the distance of </span>
                <select id="WithinDistanceData">
                    <option value="500">500</option>
                    <option value="1000" selected="selected">1,000</option>
                    <option value="2000">2,000</option>
                    <option value="5000">5,000</option>
                </select>
                <span>KM</span>
            </div>
            <div id="QueryAllFeaturesContent">
                <table id="QueryAllFeaturesTbody">
                    <tbody></tbody>
                </table>
            </div>
            <div id="QueryColumnDataDescription" class="unselectedDescription">
                <div>
                    This sample retrieves all the columns information of the feature you clicked on.
                    <br />
                    <div id="QueryColumnDataContent">
                        <table>
                            <tbody id="QueryColumnDataTbody"></tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div id="SQLQueryDescription" class="unselectedDescription">
                This sample get all landlocked countries by following SQL query.
                <br />
                <p>
                    <textarea id="SQLString" readonly="readonly">Select CNTRY_NAME,POP_CNTRY from Countries Where LANDLOCKED='Y'</textarea>
                </p>
                <div id="SQLQueryContent">
                    <table>
                        <tbody id="SQLQueryTbody"></tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <script src="Scripts/jquery-1.11.1.min.js"></script>
    <script src="Scripts/leaflet.js"></script>
    <script src="Scripts/thinkgeo.leaflet.js"></script>
    <script src="Scripts/thinkgeo.js"></script>
</body>
</html>
